MacDocParserInternal::Index Struct Reference

Internal: the index data of a MacDocParser. More...

## Public Member Functions

| Index ()
| constructor

## Public Attributes

MWAWEntry | m_entry
| the text entry
int | m_level
| the entry level
int | m_numChild
| the number of child
int | m_page
| the page
MWAWBox2i | m_box
| the bdbox
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Index const &index)
| operator<<

## Detailed Description

Internal: the index data of a MacDocParser.

## Constructor & Destructor Documentation

## Index()

MacDocParserInternal::Index::Index | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Index const & | index )

friend

operator<<

## Member Data Documentation

## m_box

MWAWBox2i MacDocParserInternal::Index::m_box

the bdbox

Referenced by Index(), operator<<, and MacDocParser::readIndex().

## m_entry

MWAWEntry MacDocParserInternal::Index::m_entry

the text entry

Referenced by Index(), and MacDocParser::readIndex().

## m_extra

std::string MacDocParserInternal::Index::m_extra

extra data

Referenced by Index(), operator<<, and MacDocParser::readIndex().

## m_level

int MacDocParserInternal::Index::m_level

the entry level

Referenced by Index(), and operator<<.

## m_numChild

int MacDocParserInternal::Index::m_numChild

the number of child

Referenced by Index(), operator<<, and MacDocParser::readIndex().

## m_page

int MacDocParserInternal::Index::m_page

the page

Referenced by Index(), operator<<, and MacDocParser::readIndex().

The documentation for this struct was generated from the following file:

- MacDocParser.cxx